package org.silverpeas.mobile.shared.dto.configuration;

public class IConfigAutoBean extends com.google.web.bindery.autobean.shared.impl.AbstractAutoBean<org.silverpeas.mobile.shared.dto.configuration.IConfig> {
  private final org.silverpeas.mobile.shared.dto.configuration.IConfig shim = new org.silverpeas.mobile.shared.dto.configuration.IConfig() {
    public boolean isFavoritesDisplay()  {
      boolean toReturn = (boolean) IConfigAutoBean.this.getWrapped().isFavoritesDisplay();
      return toReturn;
    }
    public boolean isFreeZoneDisplay()  {
      boolean toReturn = (boolean) IConfigAutoBean.this.getWrapped().isFreeZoneDisplay();
      return toReturn;
    }
    public boolean isFreeZoneThinDisplay()  {
      boolean toReturn = (boolean) IConfigAutoBean.this.getWrapped().isFreeZoneThinDisplay();
      return toReturn;
    }
    public boolean isGrayscale()  {
      boolean toReturn = (boolean) IConfigAutoBean.this.getWrapped().isGrayscale();
      return toReturn;
    }
    public boolean isInverse()  {
      boolean toReturn = (boolean) IConfigAutoBean.this.getWrapped().isInverse();
      return toReturn;
    }
    public boolean isLastEventsDisplay()  {
      boolean toReturn = (boolean) IConfigAutoBean.this.getWrapped().isLastEventsDisplay();
      return toReturn;
    }
    public boolean isLastPublicationsDisplay()  {
      boolean toReturn = (boolean) IConfigAutoBean.this.getWrapped().isLastPublicationsDisplay();
      return toReturn;
    }
    public boolean isNewsDisplay()  {
      boolean toReturn = (boolean) IConfigAutoBean.this.getWrapped().isNewsDisplay();
      return toReturn;
    }
    public boolean isSepia()  {
      boolean toReturn = (boolean) IConfigAutoBean.this.getWrapped().isSepia();
      return toReturn;
    }
    public boolean isShortCutsDisplay()  {
      boolean toReturn = (boolean) IConfigAutoBean.this.getWrapped().isShortCutsDisplay();
      return toReturn;
    }
    public boolean isShortCutsToolsDisplay()  {
      boolean toReturn = (boolean) IConfigAutoBean.this.getWrapped().isShortCutsToolsDisplay();
      return toReturn;
    }
    public boolean isStandard()  {
      boolean toReturn = (boolean) IConfigAutoBean.this.getWrapped().isStandard();
      return toReturn;
    }
    public int getFontSize()  {
      int toReturn = (int) IConfigAutoBean.this.getWrapped().getFontSize();
      return toReturn;
    }
    public void setFavoritesDisplay(boolean favoritesDisplay)  {
      IConfigAutoBean.this.getWrapped().setFavoritesDisplay(favoritesDisplay);
      IConfigAutoBean.this.set("setFavoritesDisplay", favoritesDisplay);
    }
    public void setFontSize(int fontSize)  {
      IConfigAutoBean.this.getWrapped().setFontSize(fontSize);
      IConfigAutoBean.this.set("setFontSize", fontSize);
    }
    public void setFreeZoneDisplay(boolean freeZoneDisplay)  {
      IConfigAutoBean.this.getWrapped().setFreeZoneDisplay(freeZoneDisplay);
      IConfigAutoBean.this.set("setFreeZoneDisplay", freeZoneDisplay);
    }
    public void setFreeZoneThinDisplay(boolean freeZoneThinDisplay)  {
      IConfigAutoBean.this.getWrapped().setFreeZoneThinDisplay(freeZoneThinDisplay);
      IConfigAutoBean.this.set("setFreeZoneThinDisplay", freeZoneThinDisplay);
    }
    public void setGrayscale(boolean grayscale)  {
      IConfigAutoBean.this.getWrapped().setGrayscale(grayscale);
      IConfigAutoBean.this.set("setGrayscale", grayscale);
    }
    public void setInverse(boolean inverse)  {
      IConfigAutoBean.this.getWrapped().setInverse(inverse);
      IConfigAutoBean.this.set("setInverse", inverse);
    }
    public void setLastEventsDisplay(boolean lastEventsDisplay)  {
      IConfigAutoBean.this.getWrapped().setLastEventsDisplay(lastEventsDisplay);
      IConfigAutoBean.this.set("setLastEventsDisplay", lastEventsDisplay);
    }
    public void setLastPublicationsDisplay(boolean lastPublicationsDisplay)  {
      IConfigAutoBean.this.getWrapped().setLastPublicationsDisplay(lastPublicationsDisplay);
      IConfigAutoBean.this.set("setLastPublicationsDisplay", lastPublicationsDisplay);
    }
    public void setNewsDisplay(boolean newsDisplay)  {
      IConfigAutoBean.this.getWrapped().setNewsDisplay(newsDisplay);
      IConfigAutoBean.this.set("setNewsDisplay", newsDisplay);
    }
    public void setSepia(boolean sepia)  {
      IConfigAutoBean.this.getWrapped().setSepia(sepia);
      IConfigAutoBean.this.set("setSepia", sepia);
    }
    public void setShortCutsDisplay(boolean shortCutsDisplay)  {
      IConfigAutoBean.this.getWrapped().setShortCutsDisplay(shortCutsDisplay);
      IConfigAutoBean.this.set("setShortCutsDisplay", shortCutsDisplay);
    }
    public void setShortCutsToolsDisplay(boolean shortCutsToolsDisplay)  {
      IConfigAutoBean.this.getWrapped().setShortCutsToolsDisplay(shortCutsToolsDisplay);
      IConfigAutoBean.this.set("setShortCutsToolsDisplay", shortCutsToolsDisplay);
    }
    public void setStandard(boolean standard)  {
      IConfigAutoBean.this.getWrapped().setStandard(standard);
      IConfigAutoBean.this.set("setStandard", standard);
    }
    @Override public boolean equals(Object o) {
      return this == o || getWrapped().equals(o);
    }
    @Override public int hashCode() {
      return getWrapped().hashCode();
    }
    @Override public String toString() {
      return getWrapped().toString();
    }
  };
  { com.google.gwt.core.client.impl.WeakMapping.set(shim, com.google.web.bindery.autobean.shared.AutoBean.class.getName(), this); }
  public IConfigAutoBean(com.google.web.bindery.autobean.shared.AutoBeanFactory factory) {super(factory);}
  public IConfigAutoBean(com.google.web.bindery.autobean.shared.AutoBeanFactory factory, org.silverpeas.mobile.shared.dto.configuration.IConfig wrapped) {
    super(wrapped, factory);
  }
  public org.silverpeas.mobile.shared.dto.configuration.IConfig as() {return shim;}
  public Class<org.silverpeas.mobile.shared.dto.configuration.IConfig> getType() {return org.silverpeas.mobile.shared.dto.configuration.IConfig.class;}
  @Override protected org.silverpeas.mobile.shared.dto.configuration.IConfig createSimplePeer() {
    return new org.silverpeas.mobile.shared.dto.configuration.IConfig() {
      private final com.google.web.bindery.autobean.shared.Splittable data = org.silverpeas.mobile.shared.dto.configuration.IConfigAutoBean.this.data;
      public boolean isFavoritesDisplay()  {
        java.lang.Boolean toReturn = IConfigAutoBean.this.getOrReify("favoritesDisplay");
        return toReturn == null ? false : toReturn;
      }
      public boolean isFreeZoneDisplay()  {
        java.lang.Boolean toReturn = IConfigAutoBean.this.getOrReify("freeZoneDisplay");
        return toReturn == null ? false : toReturn;
      }
      public boolean isFreeZoneThinDisplay()  {
        java.lang.Boolean toReturn = IConfigAutoBean.this.getOrReify("freeZoneThinDisplay");
        return toReturn == null ? false : toReturn;
      }
      public boolean isGrayscale()  {
        java.lang.Boolean toReturn = IConfigAutoBean.this.getOrReify("grayscale");
        return toReturn == null ? false : toReturn;
      }
      public boolean isInverse()  {
        java.lang.Boolean toReturn = IConfigAutoBean.this.getOrReify("inverse");
        return toReturn == null ? false : toReturn;
      }
      public boolean isLastEventsDisplay()  {
        java.lang.Boolean toReturn = IConfigAutoBean.this.getOrReify("lastEventsDisplay");
        return toReturn == null ? false : toReturn;
      }
      public boolean isLastPublicationsDisplay()  {
        java.lang.Boolean toReturn = IConfigAutoBean.this.getOrReify("lastPublicationsDisplay");
        return toReturn == null ? false : toReturn;
      }
      public boolean isNewsDisplay()  {
        java.lang.Boolean toReturn = IConfigAutoBean.this.getOrReify("newsDisplay");
        return toReturn == null ? false : toReturn;
      }
      public boolean isSepia()  {
        java.lang.Boolean toReturn = IConfigAutoBean.this.getOrReify("sepia");
        return toReturn == null ? false : toReturn;
      }
      public boolean isShortCutsDisplay()  {
        java.lang.Boolean toReturn = IConfigAutoBean.this.getOrReify("shortCutsDisplay");
        return toReturn == null ? false : toReturn;
      }
      public boolean isShortCutsToolsDisplay()  {
        java.lang.Boolean toReturn = IConfigAutoBean.this.getOrReify("shortCutsToolsDisplay");
        return toReturn == null ? false : toReturn;
      }
      public boolean isStandard()  {
        java.lang.Boolean toReturn = IConfigAutoBean.this.getOrReify("standard");
        return toReturn == null ? false : toReturn;
      }
      public int getFontSize()  {
        java.lang.Integer toReturn = IConfigAutoBean.this.getOrReify("fontSize");
        return toReturn == null ? 0 : toReturn;
      }
      public void setFavoritesDisplay(boolean favoritesDisplay)  {
        IConfigAutoBean.this.setProperty("favoritesDisplay", favoritesDisplay);
      }
      public void setFontSize(int fontSize)  {
        IConfigAutoBean.this.setProperty("fontSize", fontSize);
      }
      public void setFreeZoneDisplay(boolean freeZoneDisplay)  {
        IConfigAutoBean.this.setProperty("freeZoneDisplay", freeZoneDisplay);
      }
      public void setFreeZoneThinDisplay(boolean freeZoneThinDisplay)  {
        IConfigAutoBean.this.setProperty("freeZoneThinDisplay", freeZoneThinDisplay);
      }
      public void setGrayscale(boolean grayscale)  {
        IConfigAutoBean.this.setProperty("grayscale", grayscale);
      }
      public void setInverse(boolean inverse)  {
        IConfigAutoBean.this.setProperty("inverse", inverse);
      }
      public void setLastEventsDisplay(boolean lastEventsDisplay)  {
        IConfigAutoBean.this.setProperty("lastEventsDisplay", lastEventsDisplay);
      }
      public void setLastPublicationsDisplay(boolean lastPublicationsDisplay)  {
        IConfigAutoBean.this.setProperty("lastPublicationsDisplay", lastPublicationsDisplay);
      }
      public void setNewsDisplay(boolean newsDisplay)  {
        IConfigAutoBean.this.setProperty("newsDisplay", newsDisplay);
      }
      public void setSepia(boolean sepia)  {
        IConfigAutoBean.this.setProperty("sepia", sepia);
      }
      public void setShortCutsDisplay(boolean shortCutsDisplay)  {
        IConfigAutoBean.this.setProperty("shortCutsDisplay", shortCutsDisplay);
      }
      public void setShortCutsToolsDisplay(boolean shortCutsToolsDisplay)  {
        IConfigAutoBean.this.setProperty("shortCutsToolsDisplay", shortCutsToolsDisplay);
      }
      public void setStandard(boolean standard)  {
        IConfigAutoBean.this.setProperty("standard", standard);
      }
    };
  }
  @Override protected void traverseProperties(com.google.web.bindery.autobean.shared.AutoBeanVisitor visitor, com.google.web.bindery.autobean.shared.impl.AbstractAutoBean.OneShotContext ctx) {
    com.google.web.bindery.autobean.shared.impl.AbstractAutoBean bean;
    Object value;
    com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext propertyContext;
    org.silverpeas.mobile.shared.dto.configuration.IConfig as = as();
    value = as.isFavoritesDisplay();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IConfigAutoBean.this, "favoritesDisplay"),
      boolean.class
    );
    if (visitor.visitValueProperty("favoritesDisplay", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("favoritesDisplay", value, propertyContext);
    value = as.isFreeZoneDisplay();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IConfigAutoBean.this, "freeZoneDisplay"),
      boolean.class
    );
    if (visitor.visitValueProperty("freeZoneDisplay", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("freeZoneDisplay", value, propertyContext);
    value = as.isFreeZoneThinDisplay();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IConfigAutoBean.this, "freeZoneThinDisplay"),
      boolean.class
    );
    if (visitor.visitValueProperty("freeZoneThinDisplay", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("freeZoneThinDisplay", value, propertyContext);
    value = as.isGrayscale();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IConfigAutoBean.this, "grayscale"),
      boolean.class
    );
    if (visitor.visitValueProperty("grayscale", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("grayscale", value, propertyContext);
    value = as.isInverse();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IConfigAutoBean.this, "inverse"),
      boolean.class
    );
    if (visitor.visitValueProperty("inverse", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("inverse", value, propertyContext);
    value = as.isLastEventsDisplay();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IConfigAutoBean.this, "lastEventsDisplay"),
      boolean.class
    );
    if (visitor.visitValueProperty("lastEventsDisplay", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("lastEventsDisplay", value, propertyContext);
    value = as.isLastPublicationsDisplay();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IConfigAutoBean.this, "lastPublicationsDisplay"),
      boolean.class
    );
    if (visitor.visitValueProperty("lastPublicationsDisplay", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("lastPublicationsDisplay", value, propertyContext);
    value = as.isNewsDisplay();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IConfigAutoBean.this, "newsDisplay"),
      boolean.class
    );
    if (visitor.visitValueProperty("newsDisplay", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("newsDisplay", value, propertyContext);
    value = as.isSepia();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IConfigAutoBean.this, "sepia"),
      boolean.class
    );
    if (visitor.visitValueProperty("sepia", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("sepia", value, propertyContext);
    value = as.isShortCutsDisplay();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IConfigAutoBean.this, "shortCutsDisplay"),
      boolean.class
    );
    if (visitor.visitValueProperty("shortCutsDisplay", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("shortCutsDisplay", value, propertyContext);
    value = as.isShortCutsToolsDisplay();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IConfigAutoBean.this, "shortCutsToolsDisplay"),
      boolean.class
    );
    if (visitor.visitValueProperty("shortCutsToolsDisplay", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("shortCutsToolsDisplay", value, propertyContext);
    value = as.isStandard();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IConfigAutoBean.this, "standard"),
      boolean.class
    );
    if (visitor.visitValueProperty("standard", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("standard", value, propertyContext);
    value = as.getFontSize();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IConfigAutoBean.this, "fontSize"),
      int.class
    );
    if (visitor.visitValueProperty("fontSize", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("fontSize", value, propertyContext);
  }
}
